import Vue from "vue";
import App from './App.vue'
import router from './router'
import store from './store'
import 'normalize.css'
import './style/index.scss'

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

import * as echarts from 'echarts';
Vue.prototype.$echarts = echarts;

import VueClipboard from 'vue-clipboard2'
Vue.use(VueClipboard)

Vue.use(ElementUI);

// import CodeEditor from 'bin-code-editor';
// import 'bin-code-editor/lib/styles/index.css';
// Vue.use(CodeEditor);

// main.js全局引入
import JsonViewer from 'vue-json-viewer'
Vue.use(JsonViewer) 

import Vant from 'vant';
import 'vant/lib/index.css';

Vue.use(Vant);

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount("#app");